import request from "../request";

//查询图片树
export function getTreeApi(data) {
  return request({
    url: "/labelimg/getTree",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//保存标注
export function saveLabelsApi(data) {
  return request({
    url: "/labelimg/saveLabels",
    method: "post",
    data,
  });
}
//获取类型
export function getTypesApi(data) {
  return request({
    url: "/labelimg/getTypes",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//查询标注
export function getLabelsApi(data) {
  return request({
    url: "/labelimg/getLabels",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//删除标注和图片

export function deleteApi(data) {
  return request({
    url: "/labelimg/delete",
    method: "post",
    data,
  });
}

// export function loginJoggle(data) {
//   return request({
//     url: "api/login.php",
//     method: "post",
//     data,
//   });
// }
// //获取line
